import request from "@/utils/request";
const api = "/mosty-api/mosty-gsxt";
const v1 = "/v1"

/**
 * 警情列分页查询
 * @param {*} params
 * @returns
 */
export const lzJcjPjdbSelectPage = (params) => {
  return request({
    url: api + "/lzJcjPjdb/selectPage",
    method: "GET",
    params
  });
};
//
/**
 * 语义分析分页查询
 * @param {*} params
 * @returns
 */
export const yyfxSelectPage = (params) => {
  return request({
    url: api + "/yyfx/selectPage",
    method: "GET",
    params
  });
};
/**
 * 身份标签
 * @param {*} params
 * @returns
 */
export const tbGsxtBqglSelect = (params) => {
  return request({
    url: api + "/tbGsxtBqgl/selectList",
    method: "GET",
    params
  });
};
/**
 * 新增
 * @param {*} params
 * @returns
 */
export const yyfxAdd = (data) => {
  return request({
    url: api + "/yyfx/add",
    method: "POST",
    data
  });
};
export const completions = (data) => {
  return request({
    url: v1 + "/completions",
    method: "POST",
    data
  });
};
// /
// 分析报告-地域维度统计
export const fxbgDywdtj = (params) => {
  return request({
    url: api + "/lzJcjPjdb/fxbgDywdtj",
    method: "GET",
    params
  });
};
// 警情类别接口
export const getDictItem = (params) => {
  return request({
    url: api + "/lzJcjPjdb/getDictItem",
    method: "GET",
    params
  });
}
// 分析报告 - 警情类型统计
export const fxbgJqlxtj = (params) => {
  return request({
    url: api + "/lzJcjPjdb/fxbgJqlxtj",
    method: "GET",
    params
  });
}
// 警情来源统计

export const fxbgJqlytj = (params) => {
  return request({
    url: api + "/lzJcjPjdb/fxbgJqlytj",
    method: "GET",
    params
  });
}
// 分析报告
export const fxbgTj = (params) => {
  return request({
    url: api + "/lzJcjPjdb/fxbgTj",
    method: "GET",
    params
  });
}
// 分析报告-时间维度-月分析
export const fxbgYdfx = (params) => {
  return request({
    url: api + "/lzJcjPjdb/fxbgYdfx",
    method: "GET",
    params
  });
}
// 	分析报告-时间维度-24小时分析
export const fxbgXsfx = (params) => {
  return request({
    url: api + "/lzJcjPjdb/fxbgXsfx",
    method: "GET",
    params
  });
}
// 分析报告 - 处理结果分析
export const fxgbCljgf = (params) => {
  return request({
    url: api + "/lzJcjPjdb/fxgbCljgfx",
    method: "GET",
    params
  });
}
// 分析报告-处置率分析
export const fxgbCzlfx = (params) => {
  return request({
    url: api + "/lzJcjPjdb/fxgbCzlfx",
    method: "GET",
    params
  });
}

// 分析报告-地域维度统计
export const jqypDywdtj = (params) => {
  return request({
    url: api + "/jjdbYp/fxbgDywdtj",
    method: "GET",
    params
  });
};

// 分析报告 - 警情类型统计
export const jqypfxbgJqlxtj = (params) => {
  return request({
    url: api + "/lzJcjPjdb/fxbgJqlxtj",
    method: "GET",
    params
  });
}
// 警情来源统计

export const jqypfxbgJqlytj = (params) => {
  return request({
    url: api + "/jjdbYp/fxbgJqlytj",
    method: "GET",
    params
  });
}
// 分析报告
export const jqypfxbgTj = (params) => {
  return request({
    url: api + "/jjdbYp/fxbgTj",
    method: "GET",
    params
  });
}
// 分析报告-时间维度-月分析
export const jqypfxbgYdfx = (params) => {
  return request({
    url: api + "/jjdbYp/fxbgYdfx",
    method: "GET",
    params
  });
}
// 	分析报告-时间维度-24小时分析
export const jqypfxbgXsfx = (params) => {
  return request({
    url: api + "/jjdbYp/fxbgXsfx",
    method: "GET",
    params
  });
}
// 分析报告 - 处理结果分析
export const jqypfxbgCljgf = (params) => {
  return request({
    url: api + "/jjdbYp/fxgbCljgfx",
    method: "GET",
    params
  });
}
// 分析报告-处置率分析
export const jqypfxbgCzlfx = (params) => {
  return request({
    url: api + "/jjdbYp/fxgbCzlfx",
    method: "GET",
    params
  });
}
